Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Ivan Shmakov <[email-masked]>
Date: Sat, 14 Feb 2015 18:12:47 +0000

>>>>> Eli Zaretskii <[email-masked]> writes:
>>>>> From: Ivan Shmakov  Date: Sat, 14 Feb 2015 17:32:59 +0000

[…]

 >> My understanding is that the Stefan’s comment is an OK (for a former
 >> patch), while your request for “someone third to resolve the tie” is
 >> a NAK (please correct me if it’s not.)

 > It is only a NAK if it's respected.

	I will surely respect any NAKs from those in charge of the given
	package, or Emacs as a whole (as per the Savannah project page.)

 > I cannot force anyone here to do anything, I don’t have that power.

	We’re all volunteers here, yes.  But you can – and, I’d argue,
	should – /prevent/ the use of the Emacs community resources for
	the purposes contrary to the advancement of the project itself.
	(FWIW, it’s just the thing I do at Russian Wikibooks.)  And as
	long as there’s a NAK from you, I will consider my change more
	or less a matter of my taste, not something valuable to the
	Emacs community at large.

	Similarly, as long as there’re any objections from Lars
	regarding my SHR- or EWW-related suggestions, I’d rather start
	my own fork than push a single change.

 >> I appreciate the comments regarding the possible new “explicit
 >> destination directory” feature, and I guess I can work on a possible
 >> implementation once /this/ issue – and also #19481 – are fixed.
 >> However, I believe that such a new feature is no substitute for a
 >> proper fix to this bug.

 > I obviously disagree, but whatever.

	And I’d still like to hear why you think that tar-untar-buffer
	/must/ use the value of default-directory local to a buffer
	/other/ than the one the user called this command from.

	TIA.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A